<?php
session_start();
require 'db_con.php'; // Connexion à la base de données

// Vérifiez si l'utilisateur est connecté
if (!isset($_SESSION['user_id'])) {
    header("Location: index.php");
    exit;
}

// Vérifiez le rôle de l'utilisateur
$role = $_SESSION['role'];
if ($role !== 'admin' && $role !== 'chef') {
    header("Location: main.php");
    exit;
}

// Supprimer l'OS par ID
if (isset($_GET['id'])) {
    $os_id = $_GET['id'];
    $stmt = $pdo->prepare("DELETE FROM os WHERE id = ?");
    $stmt->execute([$os_id]);
}

// Rediriger vers la gestion des OS
header("Location: os_management.php");
exit;
